| Qore OracleSqlUtil Module Reference 1.4.3

Public Member Functions | Protected Attributes | List of all members
OracleSqlUtil::OraclePrimaryKey Class Reference

represents an Oracle primary key More...

Inherits AbstractPrimaryKey.

## Public Member Functions
| clearIndex ()
| clears any index base for the constraint
string | getDisableSql (string table_name)
| returns a string that can be used to temporarily disable the constraint from the database
string | getDropSql (string table_name)
| returns a string that can be used to drop the constraint from the database More...
string | getEnableSql (string table_name, *hash opt)
| returns a string that can be used to enable the constraint in the database
OracleColumn | memberGate (string k)
| returns the OracleColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception More...

## Protected Attributes
*string | tablespace
| any tablespace for the primary key index

## Detailed Description

represents an Oracle primary key

## Member Function Documentation

## ◆ getDropSql()

string OracleSqlUtil::OraclePrimaryKey::getDropSql | ( | string | table_name | ) |

returns a string that can be used to drop the constraint from the database

we use "keep index" to ensure that indexes are not dropped automatically for consistency's sake

## ◆ memberGate()

OracleColumn OracleSqlUtil::OraclePrimaryKey::memberGate | ( | string | k | ) |

returns the OracleColumn value of the given key if it exists, otherwise throws a `KEY-ERROR` exception

Example:
  auto v = c.name;

Parameters

  k | the name of the key to access

Returns
  the value of the given key in the contained hash if it exists

Exceptions

  KEY-ERROR | the given key does not exist in the contained hash

Note
  this method is called automatically when an unknown or inaccessible member name is accessed from outside the class

See also
  memberGate() Method